/****** Object:  Database DCTB0002    Script Date: 29.6.2007 9:52:06 ******/
/* data k doplku CenoTvorba 2 */

CREATE DATABASE [DCTB0002]
GO

exec sp_dboption N'DCTB0002', N'autoclose', N'true'
GO

exec sp_dboption N'DCTB0002', N'bulkcopy', N'false'
GO

exec sp_dboption N'DCTB0002', N'trunc. log', N'true'
GO

exec sp_dboption N'DCTB0002', N'torn page detection', N'true'
GO

exec sp_dboption N'DCTB0002', N'read only', N'false'
GO

exec sp_dboption N'DCTB0002', N'dbo use', N'false'
GO

exec sp_dboption N'DCTB0002', N'single', N'false'
GO

exec sp_dboption N'DCTB0002', N'autoshrink', N'true'
GO

exec sp_dboption N'DCTB0002', N'ANSI null default', N'false'
GO

exec sp_dboption N'DCTB0002', N'recursive triggers', N'false'
GO

exec sp_dboption N'DCTB0002', N'ANSI nulls', N'false'
GO

exec sp_dboption N'DCTB0002', N'concat null yields null', N'false'
GO

exec sp_dboption N'DCTB0002', N'cursor close on commit', N'false'
GO

exec sp_dboption N'DCTB0002', N'default to local cursor', N'false'
GO

exec sp_dboption N'DCTB0002', N'quoted identifier', N'false'
GO

exec sp_dboption N'DCTB0002', N'ANSI warnings', N'false'
GO

exec sp_dboption N'DCTB0002', N'auto create statistics', N'true'
GO

exec sp_dboption N'DCTB0002', N'auto update statistics', N'true'
GO

if( (@@microsoftversion / power(2, 24) = 8) and (@@microsoftversion & 0xffff >= 724) )
	exec sp_dboption N'DCTB0002', N'db chaining', N'false'
GO

use [DCTB0002]
GO

/****** Object:  Table [dbo].[Aktualizace_seznam]    Script Date: 29.6.2007 9:52:06 ******/
CREATE TABLE [dbo].[Aktualizace_seznam] (
	[Nazev] [nvarchar] (50) COLLATE Czech_CI_AS NOT NULL ,
	[Poznamka] [nvarchar] (150) COLLATE Czech_CI_AS NULL ,
	[Poradi] [smallint] NOT NULL ,
	[Hromadne] [bit] NOT NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[Cenik_historie]    Script Date: 29.6.2007 9:52:07 ******/
CREATE TABLE [dbo].[Cenik_historie] (
	[ID] [int] IDENTITY (1, 1) NOT NULL ,
	[Cenik] [nvarchar] (50) COLLATE Czech_CI_AS NULL ,
	[Produkt] [nvarchar] (50) COLLATE Czech_CI_AS NULL ,
	[Cena_old] [real] NULL ,
	[Cena_new] [real] NULL ,
	[Akt_jmeno] [nvarchar] (50) COLLATE Czech_CI_AS NULL ,
	[Datum_akt] [datetime] NULL ,
	[Poznamka] [nvarchar] (50) COLLATE Czech_CI_AS NULL ,
	[upsize_ts] [timestamp] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[Ceniky_prepocet]    Script Date: 29.6.2007 9:52:07 ******/
CREATE TABLE [dbo].[Ceniky_prepocet] (
	[ID_prepoctu] [int] IDENTITY (1, 1) NOT NULL ,
	[Nazev_aktualizace] [nvarchar] (50) COLLATE Czech_CI_AS NULL ,
	[Cenik_prepocet] [nvarchar] (50) COLLATE Czech_CI_AS NULL ,
	[Cenik_zdroj] [nvarchar] (30) COLLATE Czech_CI_AS NULL ,
	[Rabat_Marze] [real] NULL ,
	[Zpusob_zaokrouhleni] [nvarchar] (30) COLLATE Czech_CI_AS NULL ,
	[Hromadne] [bit] NOT NULL ,
	[PodmWhere] [nvarchar] (255) COLLATE Czech_CI_AS NULL ,
	[Sklad] [nvarchar] (30) COLLATE Czech_CI_AS NULL ,
	[Nakupni_cenik] [nvarchar] (30) COLLATE Czech_CI_AS NULL ,
	[Poznamka] [nvarchar] (150) COLLATE Czech_CI_AS NULL ,
	[Doplnit_produkt] [bit] NOT NULL ,
	[Prepocitat] [bit] NOT NULL ,
	[Poradi_gener] [smallint] NULL ,
	[Doplnit_vyber] [smallint] NULL ,
	[PodmWhere_zdroj] [nvarchar] (255) COLLATE Czech_CI_AS NULL ,
	[upsize_ts] [timestamp] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[Ceniky_prepocet_detail]    Script Date: 29.6.2007 9:52:07 ******/
CREATE TABLE [dbo].[Ceniky_prepocet_detail] (
	[ID_detail] [int] IDENTITY (1, 1) NOT NULL ,
	[ID_prepoctu] [int] NULL ,
	[Produkt] [nvarchar] (30) COLLATE Czech_CI_AS NULL ,
	[Dodavatel] [nvarchar] (30) COLLATE Czech_CI_AS NULL ,
	[Zarazeni] [nvarchar] (30) COLLATE Czech_CI_AS NULL ,
	[Marze_Rabat] [real] NULL ,
	[Castka] [money] NULL ,
	[upsize_ts] [timestamp] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[Ceniky_rozsireni]    Script Date: 29.6.2007 9:52:07 ******/
CREATE TABLE [dbo].[Ceniky_rozsireni] (
	[Cenik] [nvarchar] (30) COLLATE Czech_CI_AS NOT NULL ,
	[Dny_fix_cena] [smallint] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[Denik_akt]    Script Date: 29.6.2007 9:52:07 ******/
CREATE TABLE [dbo].[Denik_akt] (
	[ID] [int] IDENTITY (1, 1) NOT NULL ,
	[Uzivatel] [nvarchar] (50) COLLATE Czech_CI_AS NULL ,
	[Datum] [datetime] NULL ,
	[ID_prepoctu] [int] NULL ,
	[Cenik] [nvarchar] (30) COLLATE Czech_CI_AS NULL ,
	[Rabat_marze] [real] NULL ,
	[Hromadne] [bit] NOT NULL ,
	[upsize_ts] [timestamp] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[Historie_ceniku]    Script Date: 29.6.2007 9:52:07 ******/
CREATE TABLE [dbo].[Historie_ceniku] (
	[Cenik] [nvarchar] (30) COLLATE Czech_CI_AS NOT NULL ,
	[Produkt] [nvarchar] (30) COLLATE Czech_CI_AS NOT NULL ,
	[Cena_old] [float] NULL ,
	[Platnost_do] [datetime] NULL ,
	[Cena_new] [float] NULL ,
	[Jmeno] [nvarchar] (50) COLLATE Czech_CI_AS NULL ,
	[upsize_ts] [timestamp] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[Nastaveni_doplnku]    Script Date: 29.6.2007 9:52:08 ******/
CREATE TABLE [dbo].[Nastaveni_doplnku] (
	[Nazev] [nvarchar] (30) COLLATE Czech_CI_AS NOT NULL ,
	[Hodnota_AN] [bit] NOT NULL ,
	[Hodnota_text] [nvarchar] (30) COLLATE Czech_CI_AS NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[Zaokrouhleni]    Script Date: 29.6.2007 9:52:08 ******/
CREATE TABLE [dbo].[Zaokrouhleni] (
	[ID_zaokrouhleni] [nvarchar] (30) COLLATE Czech_CI_AS NOT NULL ,
	[Popis_zaokrouhleni] [nvarchar] (150) COLLATE Czech_CI_AS NULL ,
	[Procento_batovky] [smallint] NULL ,
	[Nasobek] [money] NULL ,
	[Vychozi_pro_batovku] [nvarchar] (30) COLLATE Czech_CI_AS NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Aktualizace_seznam] ADD 
	CONSTRAINT [DF__Aktualiza__Porad__29572725] DEFAULT (0) FOR [Poradi],
	CONSTRAINT [DF__Aktualiza__Hroma__2A4B4B5E] DEFAULT (0) FOR [Hromadne],
	CONSTRAINT [aaaaaAktualizace_seznam_PK] PRIMARY KEY  NONCLUSTERED 
	(
		[Nazev]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Cenik_historie] ADD 
	CONSTRAINT [DF__Cenik_his__Cena___239E4DCF] DEFAULT (0) FOR [Cena_old],
	CONSTRAINT [DF__Cenik_his__Cena___24927208] DEFAULT (0) FOR [Cena_new],
	CONSTRAINT [aaaaaCenik_historie_PK] PRIMARY KEY  NONCLUSTERED 
	(
		[ID]
	)  ON [PRIMARY] 
GO

 CREATE  INDEX [ID] ON [dbo].[Cenik_historie]([ID]) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Ceniky_prepocet] ADD 
	CONSTRAINT [DF__Ceniky_pr__Rabat__1920BF5C] DEFAULT (0) FOR [Rabat_Marze],
	CONSTRAINT [DF__Ceniky_pr__Hroma__1A14E395] DEFAULT (0) FOR [Hromadne],
	CONSTRAINT [DF__Ceniky_pr__Sklad__1B0907CE] DEFAULT ('<Nepot>') FOR [Sklad],
	CONSTRAINT [DF__Ceniky_pr__Dopln__1BFD2C07] DEFAULT (0) FOR [Doplnit_produkt],
	CONSTRAINT [DF__Ceniky_pr__Prepo__1CF15040] DEFAULT (0) FOR [Prepocitat],
	CONSTRAINT [DF__Ceniky_pr__Porad__1DE57479] DEFAULT (0) FOR [Poradi_gener],
	CONSTRAINT [DF__Ceniky_pr__Dopln__1ED998B2] DEFAULT (0) FOR [Doplnit_vyber],
	CONSTRAINT [aaaaaCeniky_prepocet_PK] PRIMARY KEY  NONCLUSTERED 
	(
		[ID_prepoctu]
	)  ON [PRIMARY] 
GO

 CREATE  INDEX [Aktualizace_seznamCeniky_prepocet] ON [dbo].[Ceniky_prepocet]([Nazev_aktualizace]) ON [PRIMARY]
GO

 CREATE  INDEX [ID_prepoctu] ON [dbo].[Ceniky_prepocet]([ID_prepoctu]) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Ceniky_prepocet_detail] ADD 
	CONSTRAINT [DF__Ceniky_pr__ID_pr__1273C1CD] DEFAULT (0) FOR [ID_prepoctu],
	CONSTRAINT [DF__Ceniky_pr__Marze__1367E606] DEFAULT (0) FOR [Marze_Rabat],
	CONSTRAINT [DF__Ceniky_pr__Castk__145C0A3F] DEFAULT (0) FOR [Castka],
	CONSTRAINT [aaaaaCeniky_prepocet_detail_PK] PRIMARY KEY  NONCLUSTERED 
	(
		[ID_detail]
	)  ON [PRIMARY] 
GO

 CREATE  INDEX [Ceniky_prepocetCeniky_prepocet_detail] ON [dbo].[Ceniky_prepocet_detail]([ID_prepoctu]) ON [PRIMARY]
GO

 CREATE  INDEX [ID_detail] ON [dbo].[Ceniky_prepocet_detail]([ID_detail]) ON [PRIMARY]
GO

 CREATE  INDEX [ID_prepoctu] ON [dbo].[Ceniky_prepocet_detail]([ID_prepoctu]) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Ceniky_rozsireni] ADD 
	CONSTRAINT [DF__Ceniky_ro__Dny_f__0DAF0CB0] DEFAULT (0) FOR [Dny_fix_cena],
	CONSTRAINT [aaaaaCeniky_rozsireni_PK] PRIMARY KEY  NONCLUSTERED 
	(
		[Cenik]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Denik_akt] ADD 
	CONSTRAINT [DF__Denik_akt__ID_pr__07020F21] DEFAULT (0) FOR [ID_prepoctu],
	CONSTRAINT [DF__Denik_akt__Rabat__07F6335A] DEFAULT (0) FOR [Rabat_marze],
	CONSTRAINT [DF__Denik_akt__Hroma__08EA5793] DEFAULT (0) FOR [Hromadne],
	CONSTRAINT [aaaaaDenik_akt_PK] PRIMARY KEY  NONCLUSTERED 
	(
		[ID]
	)  ON [PRIMARY] 
GO

 CREATE  INDEX [Ceniky_prepocetDenik_akt] ON [dbo].[Denik_akt]([ID_prepoctu]) ON [PRIMARY]
GO

 CREATE  INDEX [ID] ON [dbo].[Denik_akt]([ID]) ON [PRIMARY]
GO

 CREATE  INDEX [ID_prepoctu] ON [dbo].[Denik_akt]([ID_prepoctu]) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Historie_ceniku] ADD 
	CONSTRAINT [DF__Historie___Cena___014935CB] DEFAULT (0) FOR [Cena_old],
	CONSTRAINT [DF__Historie___Cena___023D5A04] DEFAULT (0) FOR [Cena_new],
	CONSTRAINT [aaaaaHistorie_ceniku_PK] PRIMARY KEY  NONCLUSTERED 
	(
		[Cenik],
		[Produkt]
	)  ON [PRIMARY] 
GO

 CREATE  INDEX [ID_akt] ON [dbo].[Historie_ceniku]([Jmeno]) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Nastaveni_doplnku] ADD 
	CONSTRAINT [DF__Nastaveni__Hodno__7C8480AE] DEFAULT (0) FOR [Hodnota_AN],
	CONSTRAINT [aaaaaNastaveni_doplnku_PK] PRIMARY KEY  NONCLUSTERED 
	(
		[Nazev]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Zaokrouhleni] ADD 
	CONSTRAINT [DF__Zaokrouhl__Proce__76CBA758] DEFAULT (0) FOR [Procento_batovky],
	CONSTRAINT [DF__Zaokrouhl__Nasob__77BFCB91] DEFAULT (0) FOR [Nasobek],
	CONSTRAINT [aaaaaZaokrouhleni_PK] PRIMARY KEY  NONCLUSTERED 
	(
		[ID_zaokrouhleni]
	)  ON [PRIMARY] 
GO

 CREATE  INDEX [ID_zaokrouhleni] ON [dbo].[Zaokrouhleni]([ID_zaokrouhleni]) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Ceniky_prepocet] ADD 
	CONSTRAINT [Ceniky_prepocet_FK00] FOREIGN KEY 
	(
		[Nazev_aktualizace]
	) REFERENCES [dbo].[Aktualizace_seznam] (
		[Nazev]
	)
GO

alter table [dbo].[Ceniky_prepocet] nocheck constraint [Ceniky_prepocet_FK00]
GO

ALTER TABLE [dbo].[Ceniky_prepocet_detail] ADD 
	CONSTRAINT [Ceniky_prepocet_detail_FK00] FOREIGN KEY 
	(
		[ID_prepoctu]
	) REFERENCES [dbo].[Ceniky_prepocet] (
		[ID_prepoctu]
	)
GO

alter table [dbo].[Ceniky_prepocet_detail] nocheck constraint [Ceniky_prepocet_detail_FK00]
GO

ALTER TABLE [dbo].[Denik_akt] ADD 
	CONSTRAINT [Denik_akt_FK00] FOREIGN KEY 
	(
		[ID_prepoctu]
	) REFERENCES [dbo].[Ceniky_prepocet] (
		[ID_prepoctu]
	)
GO

alter table [dbo].[Denik_akt] nocheck constraint [Denik_akt_FK00]
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Trigger dbo.T_Aktualizace_seznam_UTrig    Script Date: 29.6.2007 9:52:08 ******/
CREATE TRIGGER T_Aktualizace_seznam_UTrig ON [Aktualizace_seznam] FOR UPDATE AS
SET NOCOUNT ON
/* * KASKDOV AKTUALIZACE Ceniky_prepocet */
IF UPDATE(Nazev)
    BEGIN
       UPDATE Ceniky_prepocet
       SET Ceniky_prepocet.Nazev_aktualizace = inserted.Nazev
       FROM Ceniky_prepocet, deleted, inserted
       WHERE deleted.Nazev = Ceniky_prepocet.Nazev_aktualizace
    END

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Trigger dbo.T_Aktualizace_seznam_DTrig    Script Date: 29.6.2007 9:52:08 ******/
CREATE TRIGGER T_Aktualizace_seznam_DTrig ON [Aktualizace_seznam] FOR DELETE AS
SET NOCOUNT ON
/* * ZAMEZIT ODSTRAOVN, JSOU-LI V Ceniky_prepocet SOUVISEJC ZZNAMY */
IF (SELECT COUNT(*) FROM deleted, Ceniky_prepocet WHERE (deleted.Nazev = Ceniky_prepocet.Nazev_aktualizace)) > 0
    BEGIN
        RAISERROR 44445 'Zznam nelze odstranit ani zmnit. Dolo by k poruen pravidel referenn integrity, protoe v tabulce Ceniky_prepocet existuj souvisejc zznamy.'
        ROLLBACK TRANSACTION
    END

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Trigger dbo.T_Ceniky_prepocet_UTrig    Script Date: 29.6.2007 9:52:08 ******/
CREATE TRIGGER T_Ceniky_prepocet_UTrig ON [Ceniky_prepocet] FOR UPDATE AS
SET NOCOUNT ON
/* * ZAMEZIT AKTUALIZACM, NEN-LI V Aktualizace_seznam ODPOVDAJC KL */
IF UPDATE(Nazev_aktualizace)
    BEGIN
        IF (SELECT COUNT(*) FROM inserted) !=
           (SELECT COUNT(*) FROM Aktualizace_seznam, inserted WHERE (Aktualizace_seznam.Nazev = inserted.Nazev_aktualizace))
            BEGIN
                RAISERROR 44446 'Zznam nelze odstranit ani zmnit. Pravidla referenn integrity vyaduj, aby v tabulce Aktualizace_seznam existoval souvisejc zznam.'
                ROLLBACK TRANSACTION
            END
    END

/* * ZAMEZIT AKTUALIZACM, JSOU-LI V Ceniky_prepocet_detail SOUVISEJC ZZNAMY */
IF UPDATE(ID_prepoctu)
    BEGIN
        IF (SELECT COUNT(*) FROM deleted, Ceniky_prepocet_detail WHERE (deleted.ID_prepoctu = Ceniky_prepocet_detail.ID_prepoctu)) > 0
            BEGIN
                RAISERROR 44446 'Zznam nelze odstranit ani zmnit. Dolo by k poruen pravidel referenn integrity, protoe v tabulce Ceniky_prepocet_detail existuj souvisejc zznamy.'
                ROLLBACK TRANSACTION
            END
    END

/* * ZAMEZIT AKTUALIZACM, JSOU-LI V Denik_akt SOUVISEJC ZZNAMY */
IF UPDATE(ID_prepoctu)
    BEGIN
        IF (SELECT COUNT(*) FROM deleted, Denik_akt WHERE (deleted.ID_prepoctu = Denik_akt.ID_prepoctu)) > 0
            BEGIN
                RAISERROR 44446 'Zznam nelze odstranit ani zmnit. Dolo by k poruen pravidel referenn integrity, protoe v tabulce Denik_akt existuj souvisejc zznamy.'
                ROLLBACK TRANSACTION
            END
    END

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Trigger dbo.T_Ceniky_prepocet_ITrig    Script Date: 29.6.2007 9:52:08 ******/
CREATE TRIGGER T_Ceniky_prepocet_ITrig ON [Ceniky_prepocet] FOR INSERT AS
SET NOCOUNT ON
/* * ZAMEZIT VKLDN, NEN-LI V Aktualizace_seznam ODPOVDAJC KL */
IF (SELECT COUNT(*) FROM inserted) !=
   (SELECT COUNT(*) FROM Aktualizace_seznam, inserted WHERE (Aktualizace_seznam.Nazev = inserted.Nazev_aktualizace))
    BEGIN
        RAISERROR 44447 'Zznam nelze odstranit ani zmnit. Pravidla referenn integrity vyaduj, aby v tabulce Aktualizace_seznam existoval souvisejc zznam.'
        ROLLBACK TRANSACTION
    END

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Trigger dbo.T_Ceniky_prepocet_DTrig    Script Date: 29.6.2007 9:52:08 ******/
CREATE TRIGGER T_Ceniky_prepocet_DTrig ON [Ceniky_prepocet] FOR DELETE AS
SET NOCOUNT ON
/* * KASKDOV MAZN V Ceniky_prepocet_detail */
DELETE Ceniky_prepocet_detail FROM deleted, Ceniky_prepocet_detail WHERE deleted.ID_prepoctu = Ceniky_prepocet_detail.ID_prepoctu

/* * KASKDOV MAZN V Denik_akt */
DELETE Denik_akt FROM deleted, Denik_akt WHERE deleted.ID_prepoctu = Denik_akt.ID_prepoctu

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Trigger dbo.T_Ceniky_prepocet_detail_UTrig    Script Date: 29.6.2007 9:52:08 ******/
CREATE TRIGGER T_Ceniky_prepocet_detail_UTrig ON [Ceniky_prepocet_detail] FOR UPDATE AS
SET NOCOUNT ON
/* * ZAMEZIT AKTUALIZACM, NEN-LI V Ceniky_prepocet ODPOVDAJC KL */
IF UPDATE(ID_prepoctu)
    BEGIN
        IF (SELECT COUNT(*) FROM inserted) !=
           (SELECT COUNT(*) FROM Ceniky_prepocet, inserted WHERE (Ceniky_prepocet.ID_prepoctu = inserted.ID_prepoctu))
            BEGIN
                RAISERROR 44446 'Zznam nelze odstranit ani zmnit. Pravidla referenn integrity vyaduj, aby v tabulce Ceniky_prepocet existoval souvisejc zznam.'
                ROLLBACK TRANSACTION
            END
    END

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Trigger dbo.T_Ceniky_prepocet_detail_ITrig    Script Date: 29.6.2007 9:52:08 ******/
CREATE TRIGGER T_Ceniky_prepocet_detail_ITrig ON [Ceniky_prepocet_detail] FOR INSERT AS
SET NOCOUNT ON
/* * ZAMEZIT VKLDN, NEN-LI V Ceniky_prepocet ODPOVDAJC KL */
IF (SELECT COUNT(*) FROM inserted) !=
   (SELECT COUNT(*) FROM Ceniky_prepocet, inserted WHERE (Ceniky_prepocet.ID_prepoctu = inserted.ID_prepoctu))
    BEGIN
        RAISERROR 44447 'Zznam nelze odstranit ani zmnit. Pravidla referenn integrity vyaduj, aby v tabulce Ceniky_prepocet existoval souvisejc zznam.'
        ROLLBACK TRANSACTION
    END

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Trigger dbo.T_Denik_akt_UTrig    Script Date: 29.6.2007 9:52:08 ******/
CREATE TRIGGER T_Denik_akt_UTrig ON [Denik_akt] FOR UPDATE AS
SET NOCOUNT ON
/* * ZAMEZIT AKTUALIZACM, NEN-LI V Ceniky_prepocet ODPOVDAJC KL */
IF UPDATE(ID_prepoctu)
    BEGIN
        IF (SELECT COUNT(*) FROM inserted) !=
           (SELECT COUNT(*) FROM Ceniky_prepocet, inserted WHERE (Ceniky_prepocet.ID_prepoctu = inserted.ID_prepoctu))
            BEGIN
                RAISERROR 44446 'Zznam nelze odstranit ani zmnit. Pravidla referenn integrity vyaduj, aby v tabulce Ceniky_prepocet existoval souvisejc zznam.'
                ROLLBACK TRANSACTION
            END
    END

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Trigger dbo.T_Denik_akt_ITrig    Script Date: 29.6.2007 9:52:08 ******/
CREATE TRIGGER T_Denik_akt_ITrig ON [Denik_akt] FOR INSERT AS
SET NOCOUNT ON
/* * ZAMEZIT VKLDN, NEN-LI V Ceniky_prepocet ODPOVDAJC KL */
IF (SELECT COUNT(*) FROM inserted) !=
   (SELECT COUNT(*) FROM Ceniky_prepocet, inserted WHERE (Ceniky_prepocet.ID_prepoctu = inserted.ID_prepoctu))
    BEGIN
        RAISERROR 44447 'Zznam nelze odstranit ani zmnit. Pravidla referenn integrity vyaduj, aby v tabulce Ceniky_prepocet existoval souvisejc zznam.'
        ROLLBACK TRANSACTION
    END

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

